Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class DiscreteTransfer

    java.lang.Object
      org.apache.batik.ext.awt.image.DiscreteTransfer

All Implemented Interfaces:
  TransferFunction

    public class DiscreteTransfer

extends Object
implements TransferFunction

This class defines the Discrete type transfer function for the feComponentTransfer filter, as defined in chapter 15, section 11 of the SVG specification.

Field Summary
`byte[]` | `lutData` This byte array stores the lookuptable data
`int[]` | `tableValues` This int array is the input table values from the user

Constructor Summary
`DiscreteTransfer(int[] tableValues)` The input is an int array which will be used later to construct the lut data

Method Summary
`byte[]` | `getLookupTable()` This method will return the lut data in order to construct a LookUpTable object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lutData

    public byte[] lutData

  This byte array stores the lookuptable data

### tableValues

    public int[] tableValues

  This int array is the input table values from the user

Constructor Detail

### DiscreteTransfer

    public DiscreteTransfer(int[] tableValues)

  The input is an int array which will be used later to construct the lut data

Method Detail

### getLookupTable

    public byte[] getLookupTable()

  This method will return the lut data in order to construct a LookUpTable object

  Specified by:
    `getLookupTable` in interface `TransferFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.